Subject: Anyone successful using papd with Linux to serve a printer?

From: Joe Smith <[email-masked]>
Date: Thu, 4 Jan 1996 13:37:32 -0500

I'm just setting this up, it's almost there, but due to the flux in
Linux and reports of problems in the mail archive, I'd appreciate it
if someone could confirm that this combination works.

I'm using Linux 1.2.13 with the kernel stuff from netatalk 1.3.2b2 and
the 1.3.3 netatalk distribution.  I've not installed any of the
published patches yet (didn't seem to apply to this problem).

I can see the Linux printer from the chooser, but no data seems to be
sent.  Both sides eventally timeout.  File sharing is fine.

I tried both Laserwriter 7 and 8 with basically the same result.

<Joe
-- 
 Joe Smith
 University of Pennsylvania                   [email-masked]
 Department of Physiology
 Philadelphia, PA 19104

---

From: "Jeremy D. Zawodny" <[email-masked]>
Date: Thu, 4 Jan 1996 15:39:19 -0500 (EST)

On Thu, 4 Jan 1996, Joe Smith wrote:

[I'm new to this list, so I hope replies to all are okay...]

> I tried both Laserwriter 7 and 8 with basically the same result.

I've set it up using kernel 1.3.48.  I simply installed Netatalk 1.3.3, 
rebooted, ran /usr/local/atalk/etc/rc.atalk.  Printer and file sharing 
started up for me.

I selected my linux box in the chooser, printed, and the output was send 
to my default "lpr" printer.

If you need to look at any of my config files, lemme know.

Jeremy

------------------------------------------------------------------------------
<A HREF="http://www.bgsu.edu/~jzawodn">Jeremy Zawodny, [email-masked]</A>
Computer Science Undergraduate  *  Computer Consultant  *  Web Worker for Hire
        "Argue your limitations, and they're yours." -- Richard Bach

---

From: Greg Stark <[email-masked]>
Date: Thu, 4 Jan 96 17:45:20 -0500

On the other hand I'm using Linux 1.2.13 with netatalk 1.3.3 and a Postscript
HP printer and it doesn't work with the same symptoms.  I've experimented a
bit and the problem seems to be in the postscript magic code, files spool and
print fine if they start with ``%!PS-Adobe-3.0'' but not ``%!PS-Adobe-2.0''.

Serving this printer is the only thing I've tried to do with netatalk.
It would be wonderful if it worked.

greg